<?php
 
$zufall = rand(1,3); // Zufallszahl
 
sleep($zufall); 
 
// Array wird als JSON Objekt ausgegeben 
// Enthält  Prozessfortschritt als Prozentwert
$php_array['status'] = $_GET['status']+( $zufall*3 );
 
// Bei 100% ist Schluss
if($php_array['status']>100) {
    $php_array['status'] = 100;
}
 
// Ausgabe der Nachricht
if($php_array['status'] != 100) {
    $php_array['message'] = 'Aktueller Status: '.$php_array['status'].' von 100, Countdown: '.(100-$php_array['status']);
} else {
    $php_array['message'] = 'Aktueller Status: Ladevorgang abgeschlossen.';
}
 
 
// Ausgabe des PHP Arrays als JSON Objekt
echo json_encode($php_array);